Bug 578023 - lang-specific overrides rule doesn't work as expected
Summary: lang-specific overrides rule doesn't work as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipa-pgothic-fonts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 578015
Blocks: F13Target 586843
TreeView+ depends on / blocked
 
Reported: 2010-03-30 03:35 UTC by Akira TAGOH
Modified: 2010-05-10 23:48 UTC (History)
3 users (show)

Fixed In Version: ipa-pgothic-fonts-003.02-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 586843 (view as bug list)
Environment:
Last Closed: 2010-05-10 23:48:27 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2010-03-30 03:35:22 UTC
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 65-ipa-pgothic.conf

Comment 1 Akira TAGOH 2010-04-19 02:54:29 UTC
Fixed in ipa-pgothic-fonts-003.002-3.fc13

Comment 2 Fedora Update System 2010-04-19 02:56:03 UTC
ipa-pgothic-fonts-003.02-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ipa-pgothic-fonts-003.02-3.fc13

Comment 3 Fedora Update System 2010-04-20 13:16:29 UTC
ipa-pgothic-fonts-003.02-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ipa-pgothic-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ipa-pgothic-fonts-003.02-3.fc13

Comment 4 Akira TAGOH 2010-04-26 10:16:05 UTC
Testing result:
# rpm -qa ipa-pgothic-fonts
ipa-pgothic-fonts-003.02-3.fc13.noarch
# fc-match monospace:lang=en
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=en-us
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=ja
ipag.ttf: "IPAGothic" "Regular"
# fc-match monospace:lang=ja-jp
ipag.ttf: "IPAGothic" "Regular"
# fc-match serif:lang=en
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=en-us
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=ja
ipam.ttf: "IPAMincho" "Regular"
# fc-match serif:lang=ja-jp
ipam.ttf: "IPAMincho" "Regular"

No explicit rules for monospace and serif in ipa-pgothic-fonts.

# fc-match sans:lang=en
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=en-us
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=ja
ipagp.ttf: "IPAPGothic" "Regular"
# fc-match sans:lang=ja-jp
ipagp.ttf: "IPAPGothic" "Regular"

That looks good since ipa-pgothic-fonts has a priority than ipa-gothic-fonts.

# for i in $(ls /usr/share/locale|grep -v -E "^(ja)$"); do fc-match sans:lang=$i|grep -E "^(IPAPGothic)$"; [ $? = 0 ] && echo $i; done
#

No affects to other languages.

Comment 5 Fedora Update System 2010-05-10 23:48:22 UTC
ipa-pgothic-fonts-003.02-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.